summaryrefslogtreecommitdiff
path: root/lib/subunit/shell
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2010-12-09 14:51:51 +0100
committerJelmer Vernooij <jelmer@samba.org>2010-12-10 03:04:06 +0100
commit91438920b465ec7455dd1cd700bbe8ec5050b3f9 (patch)
treec11b7424a81b0cf84b33132a97b98f52380b409b /lib/subunit/shell
parent297434055e2e2b28a2f9cacc09a30786edf8903a (diff)
downloadsamba-91438920b465ec7455dd1cd700bbe8ec5050b3f9.tar.gz
samba-91438920b465ec7455dd1cd700bbe8ec5050b3f9.tar.bz2
samba-91438920b465ec7455dd1cd700bbe8ec5050b3f9.zip
subunit: Update to newer upstream snapshot.
Diffstat (limited to 'lib/subunit/shell')
-rw-r--r--lib/subunit/shell/README2
-rwxr-xr-xlib/subunit/shell/tests/test_function_output.sh10
-rwxr-xr-xlib/subunit/shell/tests/test_source_library.sh14
3 files changed, 13 insertions, 13 deletions
diff --git a/lib/subunit/shell/README b/lib/subunit/shell/README
index 5f7cf37626..af894a2bd3 100644
--- a/lib/subunit/shell/README
+++ b/lib/subunit/shell/README
@@ -38,7 +38,7 @@ a manually written test using the bindings might look like:
subunit_start_test "test name"
# determine if test passes or fails
result=$(something)
-if [ $result -eq 0 ]; then
+if [ $result == 0 ]; then
subunit_pass_test "test name"
else
subunit_fail_test "test name" <<END
diff --git a/lib/subunit/shell/tests/test_function_output.sh b/lib/subunit/shell/tests/test_function_output.sh
index 6e500cff5c..b78eee6946 100755
--- a/lib/subunit/shell/tests/test_function_output.sh
+++ b/lib/subunit/shell/tests/test_function_output.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# subunit shell bindings.
# Copyright (C) 2006 Robert Collins <robertc@robertcollins.net>
#
@@ -29,7 +29,7 @@
echo 'test: subunit_start_test output'
func_output=$(subunit_start_test "foo bar")
func_status=$?
-if [ $func_status -eq 0 -a "x$func_output" = "xtest: foo bar" ]; then
+if [ $func_status == 0 -a "x$func_output" = "xtest: foo bar" ]; then
echo 'success: subunit_start_test output'
else
echo 'failure: subunit_start_test output ['
@@ -42,7 +42,7 @@ fi
subunit_start_test "subunit_pass_test output"
func_output=$(subunit_pass_test "foo bar")
func_status=$?
-if [ $func_status -eq 0 -a "x$func_output" = "xsuccess: foo bar" ]; then
+if [ $func_status == 0 -a "x$func_output" = "xsuccess: foo bar" ]; then
subunit_pass_test "subunit_pass_test output"
else
echo 'failure: subunit_pass_test output ['
@@ -60,7 +60,7 @@ here
END
)
func_status=$?
-if [ $func_status -eq 0 -a "x$func_output" = "xfailure: foo bar [
+if [ $func_status == 0 -a "x$func_output" = "xfailure: foo bar [
something
wrong
here
@@ -82,7 +82,7 @@ here
END
)
func_status=$?
-if [ $func_status -eq 0 -a "x$func_output" = "xerror: foo bar [
+if [ $func_status == 0 -a "x$func_output" = "xerror: foo bar [
something
died
here
diff --git a/lib/subunit/shell/tests/test_source_library.sh b/lib/subunit/shell/tests/test_source_library.sh
index 3ef6ffeb36..699f1281bc 100755
--- a/lib/subunit/shell/tests/test_source_library.sh
+++ b/lib/subunit/shell/tests/test_source_library.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# subunit shell bindings.
# Copyright (C) 2006 Robert Collins <robertc@robertcollins.net>
#
@@ -24,7 +24,7 @@
echo 'test: shell bindings can be sourced'
# if any output occurs, this has failed to source cleanly
source_output=$(. ${SHELL_SHARE}subunit.sh 2>&1)
-if [ $? -eq 0 -a "x$source_output" = "x" ]; then
+if [ $? == 0 -a "x$source_output" = "x" ]; then
echo 'success: shell bindings can be sourced'
else
echo 'failure: shell bindings can be sourced ['
@@ -40,7 +40,7 @@ fi
echo 'test: subunit_start_test exists'
found_type=$(type -t subunit_start_test)
status=$?
-if [ $status -eq 0 -a "x$found_type" = "xfunction" ]; then
+if [ $status == 0 -a "x$found_type" = "xfunction" ]; then
echo 'success: subunit_start_test exists'
else
echo 'failure: subunit_start_test exists ['
@@ -54,7 +54,7 @@ fi
echo 'test: subunit_pass_test exists'
found_type=$(type -t subunit_pass_test)
status=$?
-if [ $status -eq 0 -a "x$found_type" = "xfunction" ]; then
+if [ $status == 0 -a "x$found_type" = "xfunction" ]; then
echo 'success: subunit_pass_test exists'
else
echo 'failure: subunit_pass_test exists ['
@@ -68,7 +68,7 @@ fi
echo 'test: subunit_fail_test exists'
found_type=$(type -t subunit_fail_test)
status=$?
-if [ $status -eq 0 -a "x$found_type" = "xfunction" ]; then
+if [ $status == 0 -a "x$found_type" = "xfunction" ]; then
echo 'success: subunit_fail_test exists'
else
echo 'failure: subunit_fail_test exists ['
@@ -82,7 +82,7 @@ fi
echo 'test: subunit_error_test exists'
found_type=$(type -t subunit_error_test)
status=$?
-if [ $status -eq 0 -a "x$found_type" = "xfunction" ]; then
+if [ $status == 0 -a "x$found_type" = "xfunction" ]; then
echo 'success: subunit_error_test exists'
else
echo 'failure: subunit_error_test exists ['
@@ -96,7 +96,7 @@ fi
echo 'test: subunit_skip_test exists'
found_type=$(type -t subunit_skip_test)
status=$?
-if [ $status -eq 0 -a "x$found_type" = "xfunction" ]; then
+if [ $status == 0 -a "x$found_type" = "xfunction" ]; then
echo 'success: subunit_skip_test exists'
else
echo 'failure: subunit_skip_test exists ['